# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_Surface Class Reference

This class defines a drawable surface.
With this class you can draw a general surface from
package Geom.
.

`#include <DrawTrSurf_Surface.hxx>`

Inheritance diagram for DrawTrSurf_Surface:

[legend]

## Public Member Functions

Standard_EXPORT | DrawTrSurf_Surface (const Handle(Geom_Surface)&S)
| default drawing mode Just the middle isoparametric curves are drawn. The boundaries are yellow, the isoparametric curves are blues. For the discretisation 50 points are computed in each parametric direction.
Standard_EXPORT | DrawTrSurf_Surface (const Handle(Geom_Surface)&S, const Standard_Integer Nu, const Standard_Integer Nv, const Draw_Color &BoundsColor, const Draw_Color &IsosColor, const Standard_Integer Discret, const Standard_Real Deflection, const Standard_Integer DrawMode)
Draw_Color | BoundsColor () const
virtual Standard_EXPORT void | ClearIsos ()
| rub out all the isoparametric curves.
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
Standard_EXPORT void | DrawOn (Draw_Display &dis, const Standard_Boolean Iso) const
| Iso = True : Draw the isos, the boundaries, the UVMarker. Iso = False: Only Draw the boundary and the UVMarker. .
Handle_Geom_Surface | GetSurface () const
Draw_Color | IsosColor () const
void | NbIsos (Standard_Integer &Nu, Standard_Integer &Nb) const
void | SetBoundsColor (const Draw_Color &aColor)
void | SetIsosColor (const Draw_Color &aColor)
virtual Standard_EXPORT void | ShowIsos (const Standard_Integer Nu, const Standard_Integer Nv)
| change the number of isoparametric curves to be drawn.
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Handle_Geom_Surface | surf
Draw_Color | boundsLook
Draw_Color | isosLook
Standard_Integer | nbUIsos
Standard_Integer | nbVIsos

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_Surface::DrawTrSurf_Surface | ( | const Handle(Geom_Surface)& | S | ) |

Standard_EXPORT DrawTrSurf_Surface::DrawTrSurf_Surface | ( | const Handle(Geom_Surface)& | S,
|  | const Standard_Integer | Nu,
|  | const Standard_Integer | Nv,
|  | const Draw_Color & | BoundsColor,
|  | const Draw_Color & | IsosColor,
|  | const Standard_Integer | Discret,
|  | const Standard_Real | Deflection,
|  | const Standard_Integer | DrawMode
| ) |

## Member Function Documentation

Draw_Color DrawTrSurf_Surface::BoundsColor | ( |  | ) | const`[inline]`

virtual Standard_EXPORT void DrawTrSurf_Surface::ClearIsos | ( |  | ) | `[virtual]`

| Reimplemented in DrawTrSurf_BSplineSurface.

virtual Standard_EXPORT Handle_Draw_Drawable3D DrawTrSurf_Surface::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D. Reimplemented in DrawTrSurf_BezierSurface, and DrawTrSurf_BSplineSurface.

Standard_EXPORT void DrawTrSurf_Surface::DrawOn | ( | Draw_Display & | dis,
|  | const Standard_Boolean | Iso
| ) | const

Standard_EXPORT void DrawTrSurf_Surface::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements DrawTrSurf_Drawable. Reimplemented in DrawTrSurf_BezierSurface, DrawTrSurf_BSplineSurface, and TestTopOpeDraw_DrawableSUR.

virtual Standard_EXPORT void DrawTrSurf_Surface::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Handle_Geom_Surface DrawTrSurf_Surface::GetSurface | ( |  | ) | const

Standard_EXPORT const DrawTrSurf_Surface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawTrSurf_Drawable. Reimplemented in DrawTrSurf_BezierSurface, DrawTrSurf_BSplineSurface, and TestTopOpeDraw_DrawableSUR.

Draw_Color DrawTrSurf_Surface::IsosColor | ( |  | ) | const`[inline]`

void DrawTrSurf_Surface::NbIsos | ( | Standard_Integer & | Nu,
|  | Standard_Integer & | Nb
| ) | const`[inline]`

void DrawTrSurf_Surface::SetBoundsColor | ( | const Draw_Color & | aColor | ) | `[inline]`

void DrawTrSurf_Surface::SetIsosColor | ( | const Draw_Color & | aColor | ) | `[inline]`

virtual Standard_EXPORT void DrawTrSurf_Surface::ShowIsos | ( | const Standard_Integer | Nu,
|  | const Standard_Integer | Nv
| ) | `[virtual]`

| Reimplemented in DrawTrSurf_BSplineSurface.

virtual Standard_EXPORT void DrawTrSurf_Surface::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Draw_Color DrawTrSurf_Surface::boundsLook `[protected]`

Draw_Color DrawTrSurf_Surface::isosLook `[protected]`

Standard_Integer DrawTrSurf_Surface::nbUIsos `[protected]`

Standard_Integer DrawTrSurf_Surface::nbVIsos `[protected]`

Handle_Geom_Surface DrawTrSurf_Surface::surf `[protected]`

The documentation for this class was generated from the following files:

- DrawTrSurf_Surface.hxx
- DrawTrSurf_Surface.lxx